<?php
require('../e/class/connect.php');
require('../e/class/movie_config.php');
require('../e/class/db_sql.php');
require('../e/class/functions.php');
require('../e/class/t_functions.php');
require ('../e/data/language/gb/pub/fun.php');
require('../e/data/dbcache/class.php');
require('../e/data/dbcache/MemberLevel.php');
$link=db_connect();
$empire=new mysqlquery();
$type=(int)$_GET['type']-1;
$id=(int)$_GET['id'];
$num=(int)$_GET['num']-1;
$mid=1;
$check=(int)$_GET[check];
$tbname='movie';
//验证IP
if($check==3){ 
$tpinyin=strip_tags($_GET[id]);
$id=$tpinyin;
$sql=" tpinyin='$tpinyin' ";


}
if($check==10){ $sql=" id='$id' "; }

eCheckAccessDoIp('showinfo');
if(!$id||!$mid||!$tbname)
{
	printerror('此信息不存在','',1,0,1);
}





$r=$empire->fetch1("select * from {$dbtbpre}ecms_".$tbname." where ".$sql." limit 1");
$classid=$r[classid];
$stb=$r[stb];
if(!$r[id])
{
	printerror('此信息不存在','',1,0,1);
}
//外部链接
/*
if($r['titleurl'])
{
	Header("Location:$r[titleurl]");
	exit();
}

//是否支持动态内容页
if($class_r[$classid]['showdt']!=2)
{
	$titleurl=sys_ReturnBqTitleLink($r);
	Header("Location:$titleurl");
	exit();
}
*/
//副表
if($emod_r[$mid]['tbdataf']&&$emod_r[$mid]['tbdataf']<>',')
{
	$selectdataf=substr($emod_r[$mid]['tbdataf'],1,-1);
	$finfor=$empire->fetch1("select ".$selectdataf." from {$dbtbpre}ecms_".$tbname."_data_".$r[stb]." where id='$r[id]'");
	$r=array_merge($r,$finfor);
}
//初始值
$search="&classid=$classid&id=$id";
$line=1;
$start=0;
$page_line=6;//每页显示链接数
$offset=$page*$line;//总偏移量
$GLOBALS['navclassid']=$r[classid];
$GLOBALS['navinfor']=$r;
//取得内容模板

$r[newstempid]=$check;
$newstemp_r=$empire->fetch1("select tempid,temptext,showdate from ".GetTemptb("enewsnewstemp")." where tempid='$r[newstempid]'");

//替换模板变量
function DtGetHtml($add,$newstemp_r,$mid,$tbname,$line,$page_line,$start,$page,$search){
	global $public_r,$class_r,$class_zr,$class_tr,$fun_r,$empire,$dbtbpre,$emod_r,$level_r,$type,$num;
	include ('../e/class/movie_config.php');
	
$playhtmldir=$movie_config[playhtmldir];
				if($add[tpinyin]){    //播放最终页和播放资源js的存储目录 如果有拼音目录则在拼音目录建立文件  如果没有则以ID建立播放文件
						$path=$playhtmldir.'/'.$add[tpinyin];
					}
					else{
						$path=$playhtmldir.'/'.$add[id];
					}	
	
	//更新点击
	//模板参数
	$newstemptext=$newstemp_r[temptext];
	$formatdate=$newstemp_r[showdate];
	//页面
	$pagetitle=htmlspecialchars($add[title]);
	$url=ReturnClassLink($add[classid]);//导航
	$newstemptext=Info_ReplaceSvars($newstemptext,$url,$add[classid],$pagetitle,$add[keyboard],$pagetitle);
	//分页字段
	$ptitle=$add['title'];
	$truepage='';
	$titleselect='';
	$pf=$emod_r[$mid]['pagef'];

	//返回替换验证字符
	$docheckrep=ReturnCheckDoRepStr();
	if($add[newstext])
	{
		if(empty($public_r['dorepword'])&&$docheckrep[3])
		{
			$add[newstext]=ReplaceWord($add[newstext]);//过滤字符
		}
		if(empty($public_r['dorepkey'])&&$docheckrep[4]&&!empty($add[dokey]))//替换关键字
		{
			$add[newstext]=ReplaceKey($add[newstext]);
		}
		if($public_r['opencopytext'])
		{
			$add[newstext]=AddNotCopyRndStr($add[newstext]);//随机复制字符
		}
	}
	//变量
	$tempf=$emod_r[$mid]['tempf'];
	$fr=explode(',',$tempf);
	$fcount=count($fr)-1;
	//变量替换
	$newstempstr=$newstemptext;//模板
	for($i=1;$i<$fcount;$i++)
	{
		$f=$fr[$i];
		$value=$add[$f];

		if($f=='newstime')//时间
		{
			if(strstr($newstemptext,'[!--newstime--]'))
			{
				$value=date($formatdate,$value);
			}
		}
		elseif($f=='titlepic')//标题图片
		{
			if(empty($value))
			{$value='/e/data/images/notimg.gif';}
		}
		elseif($f=='title')//标题
		{
		}
		else//正常字段
		{
			if(!strstr($emod_r[$mid]['editorf'],','.$f.','))
			{
				if(strstr($emod_r[$mid]['tobrf'],','.$f.','))//加br
				{
					$value=nl2br($value);
				}
				if(!strstr($emod_r[$mid]['dohtmlf'],','.$f.','))//去除html
				{
					$value=RepFieldtextNbsp(htmlspecialchars($value));
				}
			}
		}
		$newstempstr=str_replace('[!--'.$f.'--]',$value,$newstempstr);
	}
	//固定变量
	$newstempstr=str_replace('[!--id--]',$add[id],$newstempstr);
	$newstempstr=str_replace('[!--classid--]',$add[classid],$newstempstr);
	$newstempstr=str_replace('[!--class.name--]',$class_r[$add[classid]][classname],$newstempstr);
	$newstempstr=str_replace('[!--ttid--]',$add[ttid],$newstempstr);
	$newstempstr=str_replace('[!--tt.name--]',$class_tr[$add[ttid]][tname],$newstempstr);
	$newstempstr=str_replace('[!--onclick--]',$add[onclick],$newstempstr);
	$newstempstr=str_replace('[!--userfen--]',$add[userfen],$newstempstr);
	$newstempstr=str_replace('[!--username--]',$add[username],$newstempstr);
	//带链接的用户名
	if($add[ismember]==1&&$add[userid])
	{
		$newstempstr=str_replace('[!--linkusername--]',"<a href='".$public_r[newsurl]."e/space/?userid=".$add[userid]."' target=_blank>".$add[username]."</a>",$newstempstr);
	}
	else
	{
		$newstempstr=str_replace('[!--linkusername--]',$add[username],$newstempstr);
	}
	$newstempstr=str_replace('[!--userid--]',$add[userid],$newstempstr);
	$newstempstr=str_replace('[!--other.link--]',$keyboardtext,$newstempstr);
	$newstempstr=str_replace('[!--news.url--]',$public_r[newsurl],$newstempstr);
	$newstempstr=str_replace('[!--plnum--]',$add[plnum],$newstempstr);
	$newstempstr=str_replace('[!--totaldown--]',$add[totaldown],$newstempstr);
	$newstempstr=str_replace('[!--keyboard--]',$add[keyboard],$newstempstr);
	//链接
	$titleurl=sys_ReturnBqTitleLink($add);
	$newstempstr=str_replace('[!--titleurl--]',$titleurl,$newstempstr);
	$newstempstr=str_replace('[!--page.stats--]','',$newstempstr);
	$classurl=sys_ReturnBqClassname($add,9);
	$newstempstr=str_replace('[!--class.url--]',$classurl,$newstempstr);

	$string=$newstempstr;
	//替换变量
	$string=str_replace('[!--p.title--]',$ptitle,$string);
	$string=str_replace('[!--next.page--]',$thisnextlink,$string);
	$string=str_replace('[!--page.url--]',$truepage,$string);
	$string=str_replace('[!--title.select--]',$titleselect,$string);
	
	$typei=$type;
	$playi=$num;
	$moviestr=$add[movieshow];
	$mrr=explode($d_exp,$moviestr);
	$thismoviestr=$mrr[$typei];
	$kr=explode($t_exp,$thismoviestr);
	$mt=$kr[0];
	$mr=$kr[1];
	$rr=explode($r_exp,$mr);
	$thr=explode($f_exp,$rr[$playi]);
	$moviename=$thr[0];
	$moviedata=$thr[1];
	
	$typeii=$typei+1;
	$playii=$playi+1;
	$showfile=$public_r[newsurl].$path.'/'.$add[id].'-'.$typeii.'-'.$playii.$movie_config[playhtmltype][$type];

     		$string=str_replace('[!--thismovietypeid--]',$typei,$string);
			$string=str_replace('[!--thismovieplayid--]',$playi,$string);
			$string=str_replace('[!--thismovieurl--]',$showfile,$string);
			$string=str_replace('[!--thismoviename--]',$moviename,$string);
			$string=str_replace('[!--thismoviedata--]',$moviedata,$string);
			$string=str_replace('[!--thismovielist--]',return_thismovielist($kr,$movie_config,$add[id],$typei,$path),$string);
			$string=str_replace('[!--thismovietype--]',$mt,$string);
			$string=str_replace('[!--thismovietypecn--]',return_thismovietypecn($mt,$movie_config),$string);
			$string=str_replace('[!--thismovietypeclass--]',return_thismovietypeclass($mt,$movie_config),$string);
			$string=str_replace('[!--thismovietypestr--]',return_thismovietypestr($mt,$movie_config),$string);

	
	
	return $string;
}

if(empty($newstemp_r[tempid]))
{
	printerror('ErrorUrl','',1);
}

//页面支持标签
if($public_r['dtncanbq'])
{
	$newstemp_r[temptext]=DtNewsBq('text'.$newstemp_r[tempid],$newstemp_r[temptext],1);
}
else
{
	if($public_r['searchtempvar'])
	{
		$newstemp_r[temptext]=ReplaceTempvar($newstemp_r[temptext]);
	}
}
$string=DtGetHtml($r,$newstemp_r,$mid,$tbname,$line,$page_line,$start,$page,$search);
echo stripSlashes($string);
db_close();
$empire=null;
?>